Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.client
Class HttpDestination

    java.lang.Object
      org.eclipse.jetty.client.HttpDestination

    public class HttpDestination

extends java.lang.Object

Version:
  $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

Method Summary
`void` | `addAuthorization(java.lang.String pathSpec, Authentication authorization)`
`void` | `addCookie(HttpCookie cookie)`
`void` | `close()`
`protected void` | `doSend(HttpExchange ex)`
`void` | `dump()`
`Address` | `getAddress()`
`int` | `getConnections()`
`Buffer` | `getHostHeader()`
`HttpClient` | `getHttpClient()`
`HttpConnection` | `getIdleConnection()`
`int` | `getIdleConnections()`
`Address` | `getProxy()`
`Authentication` | `getProxyAuthentication()`
`boolean` | `isProxied()`
`boolean` | `isSecure()`
`void` | `onConnectionFailed(java.lang.Throwable throwable)`
`void` | `onException(java.lang.Throwable throwable)`
`void` | `onNewConnection(HttpConnection connection)`
`void` | `resend(HttpExchange ex)`
`HttpConnection` | `reserveConnection(long timeout)`
`void` | `returnConnection(HttpConnection connection, boolean close)`
`void` | `returnIdleConnection(HttpConnection connection)`
`protected void` | `send(HttpConnection connection, HttpExchange exchange)`
`void` | `send(HttpExchange ex)`
`void` | `setProxy(Address proxy)`
`void` | `setProxyAuthentication(Authentication authentication)`
`protected void` | `startNewConnection()`
`java.lang.String` | `toDetailString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### dump

    public void dump()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAddress

    public Address getAddress()

### getHostHeader

    public Buffer getHostHeader()

### getHttpClient

    public HttpClient getHttpClient()

### isSecure

    public boolean isSecure()

### getConnections

    public int getConnections()

### getIdleConnections

    public int getIdleConnections()

### addAuthorization

    public void addAuthorization(java.lang.String pathSpec,
                                 Authentication authorization)

### addCookie

    public void addCookie(HttpCookie cookie)

### reserveConnection

    public HttpConnection reserveConnection(long timeout)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIdleConnection

    public HttpConnection getIdleConnection()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### startNewConnection

    protected void startNewConnection()

### onConnectionFailed

    public void onConnectionFailed(java.lang.Throwable throwable)

### onException

    public void onException(java.lang.Throwable throwable)

### onNewConnection

    public void onNewConnection(HttpConnection connection)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### returnConnection

    public void returnConnection(HttpConnection connection,
                                 boolean close)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### returnIdleConnection

    public void returnIdleConnection(HttpConnection connection)

### send

    public void send(HttpExchange ex)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### resend

    public void resend(HttpExchange ex)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### doSend

    protected void doSend(HttpExchange ex)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    protected void send(HttpConnection connection,
                        HttpExchange exchange)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toDetailString

    public java.lang.String toDetailString()

### setProxy

    public void setProxy(Address proxy)

### getProxy

    public Address getProxy()

### getProxyAuthentication

    public Authentication getProxyAuthentication()

### setProxyAuthentication

    public void setProxyAuthentication(Authentication authentication)

### isProxied

    public boolean isProxied()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.